package org.apache.bcel.util;

package .tmp;

import java.io.ByteArrayInputStream;
import org.apache.bcel.util.ByteSequence;

final class ByteArrayStream extends ByteArrayInputStream {
  ByteArrayStream(byte[] bytes) {
    super(bytes);
  }
  
  int getPosition() {
    return this.pos;
  }
  
  void unreadByte() {
    if (this.pos > 0)
      this.pos--; 
  }
}
